%define upstream_name    Linux-Cpuinfo
%define upstream_version 1.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Object Oriented Interface to /proc/cpuinfo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Test::Simple)
BuildArch: noarch

%description
On Linux systems various information about the CPU ( or CPUs ) in the
computer can be gleaned from '/proc/cpuinfo'. This module provides an
object oriented interface to that information for relatively simple use in
Perl programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
rm -f t/0-signature.t #remove dubious check
%make test

%install
%makeinstall_std

%files
%doc Changes SIGNATURE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.700.0-3.mga4
+ Revision: 512615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 369088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 174534
- imported package perl-Linux-Cpuinfo


* Wed Nov 30 2011 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
